rfi341_protocol Class Reference

## Public Member Functions

| rfi341_protocol (const char *port_name, int debug_mode)
int | Connect (int connect_speed)
int | SetupSensor (int transfer_speed)
int | Disconnect ()
int | SendCommand (const char *cmd)
int | ReadResult ()
player_rfid_data_t | ReadTags ()

## Private Member Functions

int | assemblecommand (unsigned char *command, int len)

## Private Attributes

int | number_of_tags
char ** | tags
struct termios | initial_options
int | verbose
int | fd
const char * | port
int | portspeed
unsigned char | buffer [4096]
unsigned int | bufferlength
int | checksum
unsigned char | command [BUF_SIZE]
int | commandlength

The documentation for this class was generated from the following files:

- rfi341_protocol.h
- rfi341_protocol.cc

Last updated 12 September 2005 21:38:45